## org.biojava.bio.proteomics
Class IsoelectricPointCalc

    java.lang.Object
      org.biojava.bio.proteomics.IsoelectricPointCalc

    public class IsoelectricPointCalc

extends Object

Class that computes isoelectric point for denaturated proteins. These pIs are useful for predicting the position of a protein on a 2D gel.

The pK values are taken from Bjellqvist B. et al., "Reference points for comparisons of two-dimensional maps of proteins from different human cell types defined in a pH scale where isoelectric points correlate with polypeptide compositions", Electrophoresis 1994, 15, 529-539.

Since:
  1.22
Author:
  David Huen, George Waldon

Nested Class Summary
`class` `IsoelectricPointCalc.ChargeCalculator`

Constructor Summary
`IsoelectricPointCalc()`

Method Summary
`static double` `getIsoelectricPoint(SymbolList peptide)` Static public method to compute the pI for a polypeptide in denaturating and reduced conditions with both free ends.
`double` `getPI(SymbolList peptide, boolean hasFreeNTerm, boolean hasFreeCTerm)` Computes isoelectric point of specified peptide.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsoelectricPointCalc

    public IsoelectricPointCalc()

Method Detail

### getPI

    public double getPI(SymbolList peptide,
                        boolean hasFreeNTerm,
                        boolean hasFreeCTerm)
                 throws IllegalAlphabetException,
                        BioException

  Computes isoelectric point of specified peptide.

  Parameters:
    `peptide` - peptide of which pI is required.
    `hasFreeNTerm` - has free N-terminal amino group.
    `hasFreeCTerm` - has free C-terminal carboxyl group.
  Throws:
    `IllegalAlphabetException`
    `BioException`

### getIsoelectricPoint

    public static double getIsoelectricPoint(SymbolList peptide)
                                      throws IllegalAlphabetException,
                                             BioException

  Static public method to compute the pI for a polypeptide in denaturating and reduced conditions with both free ends. Various ambiguity symbols, symbols for which pK data are not available, or illegal symbols are not contributing to the calculated pI.

  This method returns the same values as ExPASy's Compute pI/Mw program

  Parameters:
    `peptide` - peptide of which pI is required.
  Returns:
    the calculated pI
  Throws:
    `IllegalAlphabetException`
    `BioException`
  Since:
    1.5